Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda
Interface CallStackFrame

    public interface CallStackFrame

Represents one stack frame.

     Since JDI interfaces evolve from one version to another, it's strongly recommended
     not to implement this interface in client code. New methods can be added to
     this interface at any time to keep up with the JDI functionality.

Method Summary
`List` | `getAvailableStrata()` Returns name of default stratumn.
`String` | `getClassName()` Returns class name of this stack frame.
`String` | `getDefaultStratum()` Returns name of default stratumn.
`int` | `getLineNumber(String struts)` Returns line number associated with this stack frame.
`LocalVariable[]` | `getLocalVariables()` Returns local variables.
`String` | `getMethodName()` Returns method name associated with this stack frame.
`String` | `getSourceName(String struts)` Returns name of file this stack frame is stopped in.
`String` | `getSourcePath(String stratum)` Returns source path of file this frame is stopped in or null.
`This` | `getThisVariable()` Returns object reference this frame is associated with or null ( frame is in static method).
`JPDAThread` | `getThread()` Returns thread.
`boolean` | `isObsolete()` Returns `true` if this frame is obsoleted.
`void` | `makeCurrent()` Sets this frame current.
`void` | `popFrame()` Pop stack frames.

Method Detail

### getLineNumber

    int getLineNumber(String struts)

  Returns line number associated with this stack frame.

  Parameters:
    `struts` - a language name or null for default language
  Returns:
    line number associated with this this stack frame

### getMethodName

    String getMethodName()

  Returns method name associated with this stack frame.

  Returns:
    method name associated with this stack frame

### getClassName

    String getClassName()

  Returns class name of this stack frame.

  Returns:
    class name of this stack frame

### getDefaultStratum

    String getDefaultStratum()

  Returns name of default stratumn.

  Returns:
    name of default stratumn

### getAvailableStrata

    List getAvailableStrata()

  Returns name of default stratumn.

  Returns:
    name of default stratumn

### getSourceName

    String getSourceName(String struts)
                         throws com.sun.jdi.AbsentInformationException

  Returns name of file this stack frame is stopped in.

  Parameters:
    `struts` - a language name or null for default language
  Returns:
    name of file this stack frame is stopped in
  Throws:
    `NoInformationException` - if information about source is not included in class file
    `com.sun.jdi.AbsentInformationException`

### getSourcePath

    String getSourcePath(String stratum)
                         throws com.sun.jdi.AbsentInformationException

  Returns source path of file this frame is stopped in or null.

  Returns:
    source path of file this frame is stopped in or null
  Throws:
    `com.sun.jdi.AbsentInformationException`

### getLocalVariables

    LocalVariable[] getLocalVariables()
                                      throws com.sun.jdi.AbsentInformationException

  Returns local variables.

  Returns:
    local variables
  Throws:
    `com.sun.jdi.AbsentInformationException`

### getThisVariable

    This getThisVariable()

  Returns object reference this frame is associated with or null ( frame is in static method).

  Returns:
    object reference this frame is associated with or null

### makeCurrent

    void makeCurrent()

  Sets this frame current.

  See Also:
    `JPDADebugger.getCurrentCallStackFrame()`

### isObsolete

    boolean isObsolete()

  Returns `true` if this frame is obsoleted.

  Returns:
    `true` if this frame is obsoleted

### popFrame

    void popFrame()

  Pop stack frames. All frames up to and including the frame are popped off the stack. The frame previous to the parameter frame will become the current frame.

### getThread

    JPDAThread getThread()

  Returns thread.

  Returns:
    thread

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.